Orxonox: orxonox::packet::FunctionCalls Class Reference

# orxonox::packet::FunctionCalls Class Reference

`#include <src/network/packet/FunctionCalls.h>`

Inheritance diagram for orxonox::packet::FunctionCalls:

List of all members.

## Public Member Functions

void | addCallMember (uint32_t networkID, uint32_t objectID, const MultiType *mt1=0, const MultiType *mt2=0, const MultiType *mt3=0, const MultiType *mt4=0, const MultiType *mt5=0)
void | addCallStatic (uint32_t networkID, const MultiType *mt1=0, const MultiType *mt2=0, const MultiType *mt3=0, const MultiType *mt4=0, const MultiType *mt5=0)
| FunctionCalls (uint8_t *data, unsigned int clientID)
| FunctionCalls ()
unsigned int | getSize () const
bool | process ()
| ~FunctionCalls ()

## Private Attributes

unsigned int | clientID_
uint32_t | currentMemBlocks_
uint32_t | currentSize_
uint32_t | nrOfCalls_

## Detailed Description

Author:

## Constructor & Destructor Documentation

orxonox::packet::FunctionCalls::FunctionCalls | ( |  | ) |

References _PACKETID, currentMemBlocks_, currentSize_, orxonox::packet::Packet::data_, orxonox::packet::Packet::flags_, orxonox::packet::Type::FunctionCalls, orxonox::packet::FUNCTIONCALLS_MEM_ALLOCATION, nrOfCalls_, and PACKET_FLAGS_FUNCTIONCALLS.

orxonox::packet::FunctionCalls::FunctionCalls | ( | uint8_t * | data,
|  | unsigned int | clientID |
| ) |  |  |

orxonox::packet::FunctionCalls::~FunctionCalls | ( |  | ) |

## Member Function Documentation

void orxonox::packet::FunctionCalls::addCallMember | ( | uint32_t | networkID,
|  | uint32_t | objectID,
|  | const MultiType * | mt1 = `0`,
|  | const MultiType * | mt2 = `0`,
|  | const MultiType * | mt3 = `0`,
|  | const MultiType * | mt4 = `0`,
|  | const MultiType * | mt5 = `0` |
| ) |  |  |

References currentMemBlocks_, currentSize_, orxonox::packet::Packet::data_, orxonox::MultiType::exportData(), orxonox::packet::FUNCTIONCALLS_MEM_ALLOCATION, orxonox::MultiType::getNetworkSize(), and orxonox::packet::Packet::isDataENetAllocated().

void orxonox::packet::FunctionCalls::addCallStatic | ( | uint32_t | networkID,
|  | const MultiType * | mt1 = `0`,
|  | const MultiType * | mt2 = `0`,
|  | const MultiType * | mt3 = `0`,
|  | const MultiType * | mt4 = `0`,
|  | const MultiType * | mt5 = `0` |
| ) |  |  |

References currentMemBlocks_, currentSize_, orxonox::packet::Packet::data_, orxonox::MultiType::exportData(), orxonox::packet::FUNCTIONCALLS_MEM_ALLOCATION, orxonox::MultiType::getNetworkSize(), and orxonox::packet::Packet::isDataENetAllocated().

unsigned int orxonox::packet::FunctionCalls::getSize | ( |  | ) | const`[inline, virtual]`

Implements orxonox::packet::Packet.

bool orxonox::packet::FunctionCalls::process | ( |  | ) | `[virtual]`

Implements orxonox::packet::Packet.

References orxonox::NetworkMemberFunctionBase::call(), orxonox::NetworkFunctionStatic::call(), orxonox::packet::Packet::data_, orxonox::NetworkMemberFunctionBase::getFunction(), orxonox::NetworkFunctionStatic::getFunction(), orxonox::MultiType::importData(), orxonox::packet::Packet::isDataENetAllocated(), and nrOfCalls_.

## Member Data Documentation

unsigned int orxonox::packet::FunctionCalls::clientID_`[private]`

Reimplemented from orxonox::packet::Packet.

uint32_t orxonox::packet::FunctionCalls::currentMemBlocks_`[private]`

Referenced by addCallMember(), addCallStatic(), and FunctionCalls().

uint32_t orxonox::packet::FunctionCalls::currentSize_`[private]`

Referenced by addCallMember(), addCallStatic(), and FunctionCalls().

uint32_t orxonox::packet::FunctionCalls::nrOfCalls_`[private]`

Referenced by FunctionCalls(), and process().

The documentation for this class was generated from the following files:

- src/network/packet/FunctionCalls.h
- src/network/packet/FunctionCalls.cc